description

# Event class Null safety

Implementers
  - AnimationEvent
  - AnimationPlaybackEvent
  - ApplicationCacheErrorEvent
  - AudioProcessingEvent
  - BeforeInstallPromptEvent
  - BeforeUnloadEvent
  - BlobEvent
  - ClipboardEvent
  - CloseEvent
  - ContextEvent
  - CustomEvent
  - DeviceMotionEvent
  - DeviceOrientationEvent
  - ErrorEvent
  - ExtendableEvent
  - FontFaceSetLoadEvent
  - GamepadEvent
  - HashChangeEvent
  - MediaEncryptedEvent
  - MediaKeyMessageEvent
  - MediaQueryListEvent
  - MediaStreamEvent
  - MediaStreamTrackEvent
  - MessageEvent
  - MidiConnectionEvent
  - MidiMessageEvent
  - MutationEvent
  - OfflineAudioCompletionEvent
  - PageTransitionEvent
  - PaymentRequestUpdateEvent
  - PopStateEvent
  - PresentationConnectionAvailableEvent
  - PresentationConnectionCloseEvent
  - ProgressEvent
  - PromiseRejectionEvent
  - RtcDataChannelEvent
  - RtcDtmfToneChangeEvent
  - RtcPeerConnectionIceEvent
  - RtcTrackEvent
  - SecurityPolicyViolationEvent
  - SensorErrorEvent
  - SpeechRecognitionError
  - SpeechRecognitionEvent
  - SpeechSynthesisEvent
  - StorageEvent
  - TrackEvent
  - TransitionEvent
  - UIEvent
  - VersionChangeEvent
  - VRDeviceEvent
  - VRDisplayEvent
  - VRSessionEvent
Annotations
  - @Native("Event,InputEvent,SubmitEvent")

## Constructors

Event(String type, {bool canBubble: true, bool cancelable: true})
  factory
Event.eventType(String type, String name, {bool canBubble: true, bool cancelable: true})
  Creates a new Event object of the specified type. [...]
  factory

## Properties

bubbles → bool?
  read-only
cancelable → bool?
  read-only
composed → bool?
  read-only
currentTarget → EventTarget?
  read-only
defaultPrevented → bool
  read-only
eventPhase → int
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isTrusted → bool?
  read-only
matchingTarget → Element
  A pointer to the element whose CSS selector matched within which an event was fired. If this Event was not associated with any Event delegation, accessing this value will throw an UnsupportedError.
  read-only
path → List<EventTarget>
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
target → EventTarget?
  read-only
timeStamp → num?
  read-only
type → String
  read-only

## Methods

composedPath() → List<EventTarget>
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
preventDefault() → void
stopImmediatePropagation() → void
stopPropagation() → void
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

AT_TARGET → const int
  This event is being handled by the event target. [...]
  `2`
BUBBLING_PHASE → const int
  This event is bubbling up through the target's ancestors. [...]
  `3`
CAPTURING_PHASE → const int
  This event is propagating through the target's ancestors, starting from the document. [...]
  `1`